com.sun.mail.imap.protocol

## Class RFC822SIZE

- java.lang.Object
- - com.sun.mail.imap.protocol.RFC822SIZE

- All Implemented Interfaces:
    Item

      public class RFC822SIZE
      extends Object
      implements Item

  An RFC822SIZE FETCH item.
  Author:
    John Mani

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `msgno`
    `int` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFC822SIZE(FetchResponse r)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### msgno

          public int msgno

    - #### size

          public int size

  - ### Constructor Detail

    - #### RFC822SIZE

          public RFC822SIZE(FetchResponse r)
                     throws ParsingException

      Constructor.
      Parameters:
        `r` - the FetchResponse
      Throws:
        `ParsingException` - for parsing failures

Copyright © 2016 Oracle. All rights reserved.